%define ver 0.1.6
%define prefix /usr

Summary: Nice little FTP library not specific to any program
Name: dpsftplib
Version: %ver
Release: 1
Copyright: GPL
Group: Networking/Libraries
Source: dpsftplib-%ver.tar.gz
Packager: Victor Soroka <vs240@eudoramail.com>
BuildRoot: /var/tmp/build-dpsftplib-%ver

%description
While working on DPS-FTP, a Gnome-based clone of Bulletproof FTP, I
had an idea that would simplify much of the FTP code, as well as provide
directory caching. So, I split the FTP stuff into a library, and almost
completely re-did the whole thing. The result is a nice little FTP
library not specific to any program.

%package devel
Summary: dpsftplib development package
Group: Networking/Libraries

%description devel
Static libraries and header files for the dpsftplib.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{prefix}/etc/system.dpsftplibrc
%{prefix}/lib/libdpsftp*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/dpsftplib-config
%{prefix}/include/dpsftplib.h
%{prefix}/share/aclocal/dpsftplib.m4
%{prefix}/lib/libdpsftp*.so
%{prefix}/lib/libdpsftp*a
